packages

package
Version: v2.367.0+incompatible Latest Latest
Warning

This package is not in the latest version of its module.

Go to latest
Published: Feb 9, 2021 License: Apache-2.0 Imports: 10 Imported by: 5

Documentation

Index

Constants

This section is empty.

Variables

This section is empty.

Functions

This section is empty.

Types

type Applier

type Applier interface {
	Prepare(pkg models.Package) error
	Apply(pkg models.Package) error
	KeepOnly(pkgs []models.Package) error
}

func NewCompiledPackageApplier

func NewCompiledPackageApplier(
	packagesBc bc.BundleCollection,
	packagesBcOwner bool,
	blobstore blobstore_delegator.BlobstoreDelegator,
	fs boshsys.FileSystem,
	logger boshlog.Logger,
) Applier

type ApplierProvider

type ApplierProvider interface {
	Root() Applier
	JobSpecific(jobName string) Applier
	RootBundleCollection() boshbc.BundleCollection
}

func NewCompiledPackageApplierProvider

func NewCompiledPackageApplierProvider(
	installPath, rootEnablePath, jobSpecificEnablePath, name string,
	blobstore blobstore_delegator.BlobstoreDelegator,
	compressor boshcmd.Compressor,
	fs boshsys.FileSystem,
	timeProvider clock.Clock,
	logger boshlog.Logger,
) ApplierProvider

Directories

Path Synopsis

Jump to

Keyboard shortcuts

? : This menu
/ : Search site
f or F : Jump to
y or Y : Canonical URL